--
-- $Id$
--
-- <<budgetmutatie_omschrijving voorzien van een prefix als deze een AO of MW mutatie is.>>

DEFINE thisfile = 'TWYN#53969.SQL'
DEFINE dbuser   = '^TWYN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE bgt_budgetmutatie
   SET bgt_budgetmutatie_omschrijving = 'AO ' || bgt_budgetmutatie_omschrijving
 WHERE bgt_budgetmutatie_code IS NOT NULL
   AND bgt_budgetmutatie_code = 'R'
   AND SUBSTR(bgt_budgetmutatie_omschrijving,1,3) <> 'AO ';

UPDATE bgt_budgetmutatie
   SET bgt_budgetmutatie_omschrijving = 'MW ' || bgt_budgetmutatie_omschrijving
 WHERE bgt_budgetmutatie_code IS NOT NULL
   AND bgt_budgetmutatie_code = 'M'
   AND SUBSTR(bgt_budgetmutatie_omschrijving,1,3) <> 'MW ';

UPDATE bgt_budgetmutatie
   SET bgt_budgetmutatie_code = 'A'
 WHERE SUBSTR(bgt_budgetmutatie_omschrijving,1,3) = 'AO ';

UPDATE bgt_budgetmutatie
   SET bgt_budgetmutatie_code = 'W'
 WHERE SUBSTR(bgt_budgetmutatie_omschrijving,1,3) = 'MW ';

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
